MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024765Open CASCADE[OCCT] OCCT:DRAWpublic2014-03-26 16:042014-11-11 12:51
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformMacOSOSOS VersionX
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024765: Compile errors on Mac OS X with GCC 4.2
DescriptionThe following error is reported when building current master by GCC 4.2 on Mac OS X:

Info : -------> ViewerTest_ViewerCommands.cxx
Error : Errors occured in Shell
/Users/mnt/tools/WOK670/wok_entities/LOC/dev/IR-2014-03-20-IR-2014-03-20-occt/inc/TColStd_SequenceOfAsciiString.hxx: In function 'int VViewParams(Draw_Interpretor&, Standard_Integer, const char**)':

/Users/mnt/tools/WOK670/wok_entities/LOC/dev/IR-2014-03-20-IR-2014-03-20-occt/inc/TColStd_SequenceOfAsciiString.hxx:108: error: 'TColStd_SequenceOfAsciiString::TColStd_SequenceOfAsciiString(const TColStd_SequenceOfAsciiString&)' is private

/Users/mnt/tools/WOK670/wok_entities/LOC/dev/IR-2014-03-20-IR-2014-03-20-occt/src/ViewerTest/ViewerTest_ViewerCommands.cxx:4434: error: within this context
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0028494)
abv (manager)
2014-03-26 16:41

Fix pushed to CR24765, please review / test
(0028513)
bugmaster (administrator)
2014-03-27 16:16

OCCT was successfully compiled on MacOS Maverick by WOK

- Related Changesets
occt: master 900f7229
Timestamp: 2014-03-26 12:06:10
Author: abv
Committer: bugmaster
Details ] Diff ]
0024765: Compile errors on Mac OS X with GCC 4.2

Sequence replaced by handle in map, to avoid involvement of copy constructor (private)
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-26 16:04 abv New Issue
2014-03-26 16:04 abv Assigned To => mkv
2014-03-26 16:41 abv Note Added: 0028494
2014-03-26 16:41 abv Assigned To mkv => bugmaster
2014-03-26 16:41 abv Status new => resolved
2014-03-27 16:14 bugmaster Status resolved => reviewed
2014-03-27 16:16 bugmaster Note Added: 0028513
2014-03-27 16:16 bugmaster Status reviewed => tested
2014-03-28 16:38 bugmaster Changeset attached => occt master 900f7229
2014-03-28 16:38 bugmaster Status tested => verified
2014-03-28 16:38 bugmaster Resolution open => fixed
2014-04-04 11:54 abv Target Version 6.7.1 => 6.8.0
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:51 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker